Skip to main content
POST
Register Delegated Signer

Headers

X-API-KEY
string
required

API key required for authentication

Path Parameters

walletLocator
string
required

A wallet locator can be of the format:

  • <walletAddress>
  • email:<email>:<walletType>
  • userId:<userId>:<walletType>
  • userId:<userId>:<walletType> (white label user example)
  • phoneNumber:<phoneNumber>:<walletType>
  • twitter:<handle>:<walletType>
  • x:<handle>:<walletType>

Body

application/json

Parameters for creating a EVM delegated signer

signer
required

The locator of the delegated signer

chain
enum<string>
required

The chain where the signer will be registered

Available options:
base,
polygon,
optimism,
arbitrum,
mode,
story,
bsc,
shape,
ethereum-sepolia,
base-sepolia,
polygon-amoy,
optimism-sepolia,
arbitrum-sepolia,
mode-sepolia,
story-testnet
expiresAt
number

The expiry date of the signer in milliseconds since UNIX epoch

permissions
(Native Token Transfer · object | ERC20 Transfer · object | ERC721 Transfer · object | ERC1155 Transfer · object | Gas Limit · object | Transaction Count Limit · object | Rate Limit · object)[]

The permissions of the signer following ERC-7715

Permission to transfer native tokens (e.g. ETH)

Example:

Response

The delegated signer has been successfully added to the wallet.

Complete delegated signer response including the signer and authorizations for each chain

type
enum<string>
required

Specifies the type of EVM signer being used, describing the method of key management and transaction signing. evm-keypair indicates a signer using a locally managed keypair, suitable for non-custodial wallets. evm-fireblocks-custodial refers to a signer managed by Fireblocks, a custodial service provider.

Available options:
evm-keypair,
evm-fireblocks-custodial,
evm-passkey
locator
string
required

The locator of the signer

Example:
expiresAt
number

The expiry date of the signer in ISO 8601 format

Example:

"2024-01-01T00:00:00.000Z"

permissions
(Native Token Transfer · object | ERC20 Transfer · object | ERC721 Transfer · object | ERC1155 Transfer · object | Gas Limit · object | Transaction Count Limit · object | Rate Limit · object)[]

The permissions of the signer following ERC-7715

Permission to transfer native tokens (e.g. ETH)

Example:
chains
object

Authorization status for each chain where the chain name is the key and the signature request is the value